Bug 1914359 - creating a puppet repo with pulp3 installed but not running results in ' A capsule seems to have been refreshed without pulpcore being running. You may want to'
Summary: creating a puppet repo with pulp3 installed but not running results in ' A ca...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.9.0
Assignee: Justin Sherrill
QA Contact: Tasos Papaioannou
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-08 16:30 UTC by Justin Sherrill
Modified: 2021-04-21 13:25 UTC (History)
1 user (show)

Fixed In Version: tfm-rubygem-katello-3.18.1.1-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-21 13:25:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 31586 0 Normal Closed creating a puppet repo with pulp3 installed but not running results in ' A capsule seems to have been refreshed without ... 2021-02-11 17:44:45 UTC
Red Hat Product Errata RHSA-2021:1313 0 None None None 2021-04-21 13:25:42 UTC

Description Justin Sherrill 2021-01-08 16:30:03 UTC
This happens if pulp3 is installed, but pulp2 is set to be used, the pulp3 smart proxy feature has no capabilities, and you try to create a puppet repo

Comment 1 Justin Sherrill 2021-01-08 16:30:08 UTC
Created from redmine issue https://projects.theforeman.org/issues/31586

Comment 2 Justin Sherrill 2021-01-08 16:30:10 UTC
Upstream bug assigned to jsherril

Comment 3 Patrick Creech 2021-01-13 18:27:14 UTC
Justin, this failed cherrypick.  Can you take a look?

Comment 5 Tasos Papaioannou 2021-01-20 14:58:15 UTC
Verified on 6.9.0 snap 9.0.

Comment 8 errata-xmlrpc 2021-04-21 13:25:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.9 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1313


Note You need to log in before you can comment on or make changes to this bug.